Bug 42051 - textproc/aspell: upgrades to version 0.50 + includes textproc/pspell.
Summary: textproc/aspell: upgrades to version 0.50 + includes textproc/pspell.
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2002-08-26 22:40 UTC by Thierry Thomas
Modified: 2002-09-01 18:20 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Thierry Thomas 2002-08-26 22:40:02 UTC
	This PR upgrades aspell to the lastest version (0.50) and take maintainership.

	Remark: it is a combination of the original Aspell and Pspell.

Fix: 1) Apply the following patch:





2) Please commit PRs ports/33969 and ports/42048 (dictionaries).

	3) Chase the upgrade of pspell (I'll submit a PR for www/mod_php4).
	   There is no more pspell.4 lib, but it is backwards compatible.
	   Other concerned ports are:
		- mail/sylpheed-claws
		- net/gtk+licq
		- textproc/pspell-ispell
		- www/gtkhtml

	   The upgrade will be something like
-	LIB_DEPENDS+=	pspell.4:${PORTSDIR}/textproc/pspell
+	LIB_DEPENDS+=	aspell.15:${PORTSDIR}/textproc/aspell

	4) textproc/pspell should be removed.--5mVrNOnb8fjBWLEdYRIHIcgS4Osg7PIKD3l3jIVyw9hxNha1
Content-Type: text/plain; name="file.diff"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="file.diff"

diff -urN /usr/ports/textproc/aspell.orig/Makefile /usr/ports/textproc/aspell/Makefile
--- /usr/ports/textproc/aspell.orig/Makefile	Thu Jul  4 22:12:29 2002
+++ /usr/ports/textproc/aspell/Makefile	Mon Aug 26 00:31:05 2002
@@ -6,22 +6,29 @@
 #
 
 PORTNAME=	aspell
-PORTVERSION=	0.33.7.1
-PORTREVISION=	1
+PORTVERSION=	0.50
 CATEGORIES=	textproc
-MASTER_SITES=	${MASTER_SITE_SOURCEFORGE}
+MASTER_SITES=	${MASTER_SITE_GNU}
 MASTER_SITE_SUBDIR=	${PORTNAME}
-DISTNAME=	${PORTNAME}-${PORTVERSION:S/^0//}
 
-MAINTAINER=	ports@FreeBSD.org
+MAINTAINER=	thierry@pompo.net
 
-LIB_DEPENDS=	pspell.4:${PORTSDIR}/textproc/pspell
+BUILD_DEPENDS=	bash:${PORTSDIR}/shells/bash2
 
 USE_LIBTOOL=	yes
-CONFIGURE_ARGS=	--enable-dict-dir=${DATADIR} \
+CONFIGURE_ARGS=	--enable-pkglibdir=${DATADIR} \
 		--enable-doc-dir=${DOCSDIR}
 USE_GMAKE=	yes
+USE_REINPLACE=	yes
+
 MAKE_ARGS=	NOPORTDOCS=${NOPORTDOCS}
 INSTALLS_SHLIB=	yes
+
+post-patch:
+	@${FIND} ${WRKSRC} -name Makefile.in | ${XARGS} ${REINPLACE_CMD} -e	\
+		's:pkglibdir = $$(libdir)/@PACKAGE@:pkglibdir = @pkglibdir@:'
+
+post-install:
+	@${CAT} ${PKGMESSAGE}
 
 .include <bsd.port.mk>
diff -urN /usr/ports/textproc/aspell.orig/distinfo /usr/ports/textproc/aspell/distinfo
--- /usr/ports/textproc/aspell.orig/distinfo	Mon Sep  3 19:23:18 2001
+++ /usr/ports/textproc/aspell/distinfo	Sun Aug 25 16:04:44 2002
@@ -1 +1 @@
-MD5 (aspell-.33.7.1.tar.gz) = 5a975196883a139e6759701633021955
+MD5 (aspell-0.50.tar.gz) = e8815a938bc2570eb9b5ffecc89a7dda
diff -urN /usr/ports/textproc/aspell.orig/files/patch-Makefile.in /usr/ports/textproc/aspell/files/patch-Makefile.in
--- /usr/ports/textproc/aspell.orig/files/patch-Makefile.in	Thu Jan  1 01:00:00 1970
+++ /usr/ports/textproc/aspell/files/patch-Makefile.in	Sun Aug 25 21:11:24 2002
@@ -0,0 +1,15 @@
+--- Makefile.in.orig	Thu Aug 22 23:43:45 2002
++++ Makefile.in	Sun Aug 25 21:10:23 2002
+@@ -96,7 +96,11 @@
+ 
+ AUTOMAKE_OPTIONS = foreign
+ 
+-SUBDIRS = auto common modules lib examples prog data scripts interfaces manual
++ifndef NOPORTDOCS
++MANUALSUBDIR = manual
++endif
++
++SUBDIRS = auto common modules lib examples prog data scripts interfaces $(MANUALSUBDIR)
+ 
+ EXTRA_DIST = README
+ subdir = .
diff -urN /usr/ports/textproc/aspell.orig/files/patch-aj /usr/ports/textproc/aspell/files/patch-aj
--- /usr/ports/textproc/aspell.orig/files/patch-aj	Wed Jun 14 01:05:01 2000
+++ /usr/ports/textproc/aspell/files/patch-aj	Thu Jan  1 01:00:00 1970
@@ -1,11 +0,0 @@
---- data/Makefile.in.orig	Sat Jun 10 23:53:37 2000
-+++ data/Makefile.in	Tue Jun 13 14:13:47 2000
-@@ -82,7 +82,7 @@
- pkgdata_DATA =    *.dat *.map
- 
- 
--pspelldatadir = `${bindir}/pspell-config pkgdatadir`
-+pspelldatadir = ${datadir}/pspell
- 
- pspelldata_DATA = en-american-aspell.pwli en-aspell.pwli
- 
diff -urN /usr/ports/textproc/aspell.orig/files/patch-ak /usr/ports/textproc/aspell/files/patch-ak
--- /usr/ports/textproc/aspell.orig/files/patch-ak	Sun Feb 18 17:10:58 2001
+++ /usr/ports/textproc/aspell/files/patch-ak	Thu Jan  1 01:00:00 1970
@@ -1,15 +0,0 @@
---- Makefile.in.orig	Mon Jan 29 10:13:57 2001
-+++ Makefile.in	Fri Feb 16 19:58:25 2001
-@@ -84,7 +84,11 @@
- 
- AUTOMAKE_OPTIONS = foreign
- 
--SUBDIRS = util filter lib src data scripts manual pspell-module
-+ifndef NOPORTDOCS
-+MANUALSUBDIR = manual
-+endif
-+
-+SUBDIRS = util filter lib src data scripts $(MANUALSUBDIR) pspell-module
- 
- EXTRA_DIST = TODO misc/* README-bin        mkbindist.sh long_name_test.hh        ltcf-c.sh ltcf-cxx.sh 
- 
diff -urN /usr/ports/textproc/aspell.orig/files/patch-configure /usr/ports/textproc/aspell/files/patch-configure
--- /usr/ports/textproc/aspell.orig/files/patch-configure	Thu Jul  4 01:35:40 2002
+++ /usr/ports/textproc/aspell/files/patch-configure	Sun Aug 25 23:08:57 2002
@@ -1,10 +1,11 @@
---- configure.orig	Wed Jul  3 19:22:07 2002
-+++ configure	Wed Jul  3 19:22:16 2002
-@@ -12335,6 +12335,7 @@
- 
- # This can be used to rebuild libtool when needed
- LIBTOOL_DEPS="$ac_aux_dir/ltmain.sh"
-+$ac_aux_dir/ltconfig $LIBTOOL_DEPS
- 
- # Always use our own libtool.
- LIBTOOL='$(SHELL) $(top_builddir)/libtool'
+--- configure.orig	Sun Aug 25 22:51:26 2002
++++ configure	Sun Aug 25 23:08:16 2002
+@@ -1823,7 +1823,7 @@
+ # Check whether --enable-pkglibdir or --disable-pkglibdir was given.
+ if test "${enable_pkglibdir+set}" = set; then
+   enableval="$enable_pkglibdir"
+-  pkglibdir=$enable_dictdir
++  pkglibdir=$enable_pkglibdir
+ else
+   pkglibdir=${libdir}/aspell
+ fi;
diff -urN /usr/ports/textproc/aspell.orig/pkg-descr /usr/ports/textproc/aspell/pkg-descr
--- /usr/ports/textproc/aspell.orig/pkg-descr	Tue Jan 15 23:39:13 2002
+++ /usr/ports/textproc/aspell/pkg-descr	Sun Aug 25 19:07:36 2002
@@ -6,6 +6,3 @@
 in the works.
 
 WWW: http://aspell.sourceforge.net/
-
--- 
-Josh Gilliam                    <josh@quick.net>
diff -urN /usr/ports/textproc/aspell.orig/pkg-descr.bak /usr/ports/textproc/aspell/pkg-descr.bak
--- /usr/ports/textproc/aspell.orig/pkg-descr.bak	Tue Jan 15 23:38:42 2002
+++ /usr/ports/textproc/aspell/pkg-descr.bak	Thu Jan  1 01:00:00 1970
@@ -1,11 +0,0 @@
-Aspell is a spelling checker designed to eventually replace
-ispell, although it currently lacks many of ispell's basic
-functions. Aspell's main feature is that it does a much better
-job of coming up with possible suggestions than ispell. Aspell
-also includes a powerful C++ library with C and Perl interfaces
-in the works.
-
-WWW: http://aspell.sourceforge.net/
-
--- 
-Josh Gilliam                    <josh@quick.net>
diff -urN /usr/ports/textproc/aspell.orig/pkg-message /usr/ports/textproc/aspell/pkg-message
--- /usr/ports/textproc/aspell.orig/pkg-message	Thu Jan  1 01:00:00 1970
+++ /usr/ports/textproc/aspell/pkg-message	Mon Aug 26 00:59:42 2002
@@ -0,0 +1,31 @@
+
+=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
+Note: don't forget to install dictionaries!
+	e.g. for English, see port textproc/aspell-dict
+	     for French,  see port french/aspell
+	or go to <URL:http://aspell.sourceforge.net/>.
+
+Warning: Upgrading from Aspell .33/Pspell .12
+
+The way dictionaries are handled has also changed. This includes a change
+in the naming conventions of both language names and dictionaries. Due to
+the language name change, your old personal dictionaries will not be
+recognized. However, you can import the old dictionaries by running the
+"aspell-import" script. This also means that dictionaries designed to
+work with older versions of Aspell are not likely to function correctly.
+Fortunately new dictionary packages are available for most languages. You
+can find them off of the Aspell home page at http://aspell.net.
+
+The Pspell ABI is now part of Aspell except that the name of everything
+has changed due to the renaming of Pspell to Aspell. In particular please
+note the following name changes:
+
+    pspell -> aspell
+    manager -> speller
+    emulation -> enumeration
+    master_word_list -> main_word_list
+
+Please also note that the name of the language-tag option has changed to 
+lang. However, for backward compatible the language-tag option will still
+work.
+=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
diff -urN /usr/ports/textproc/aspell.orig/pkg-message.bak /usr/ports/textproc/aspell/pkg-message.bak
--- /usr/ports/textproc/aspell.orig/pkg-message.bak	Thu Jan  1 01:00:00 1970
+++ /usr/ports/textproc/aspell/pkg-message.bak	Mon Aug 26 00:57:55 2002
@@ -0,0 +1,31 @@
+
+=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
+Note: don't forget to install dictionnaries!
+	e.g. for english, see port textproc/aspell-dict
+	     for french,  see port french/aspell
+	or go to <URL:http://aspell.sourceforge.net/>.
+
+Warning: Upgrading from Aspell .33/Pspell .12
+
+The way dictionaries are handled has also changed. This includes a change
+in the naming conventions of both language names and dictionaries. Due to
+the language name change, your old personal dictionaries will not be
+recognized. However, you can import the old dictionaries by running the
+"aspell-import" script. This also means that dictionaries designed to
+work with older versions of Aspell are not likely to function correctly.
+Fortunately new dictionary packages are available for most languages. You
+can find them off of the Aspell home page at http://aspell.net.
+
+The Pspell ABI is now part of Aspell except that the name of everything
+has changed due to the renaming of Pspell to Aspell. In particular please
+note the following name changes:
+
+    pspell -> aspell
+    manager -> speller
+    emulation -> enumeration
+    master_word_list -> main_word_list
+
+Please also note that the name of the language-tag option has changed to 
+lang. However, for backward compatible the language-tag option will still
+work.
+=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
diff -urN /usr/ports/textproc/aspell.orig/pkg-plist /usr/ports/textproc/aspell/pkg-plist
--- /usr/ports/textproc/aspell.orig/pkg-plist	Thu Jul  4 22:12:29 2002
+++ /usr/ports/textproc/aspell/pkg-plist	Sun Aug 25 21:42:40 2002
@@ -1,162 +1,67 @@
 bin/aspell
+bin/aspell-import
+bin/pspell-config
 bin/run-with-aspell
 bin/word-list-compress
-include/aspell/amanager.hh
-include/aspell/app_string.hh
-include/aspell/as_config.h
-include/aspell/asuggest.hh
-include/aspell/bad_value.hh
-include/aspell/basic_list.hh
-include/aspell/block_slist-t.hh
-include/aspell/block_slist.hh
-include/aspell/block_vector.hh
-include/aspell/bskip-t.hh
-include/aspell/bskip.hh
-include/aspell/check.hh
-include/aspell/clone_ptr-t.hh
-include/aspell/clone_ptr.hh
-include/aspell/config.hh
-include/aspell/config_data.hh
-include/aspell/const_string.hh
-include/aspell/copy_ptr-t.hh
-include/aspell/copy_ptr.hh
-include/aspell/data.hh
-include/aspell/editdist.hh
-include/aspell/editdist2.hh
-include/aspell/email-t.hh
-include/aspell/email.hh
-include/aspell/emulation.hh
-include/aspell/exception.hh
-include/aspell/file_exceps.hh
-include/aspell/file_util.hh
-include/aspell/filter.hh
-include/aspell/generic_copy_ptr-t.hh
-include/aspell/generic_copy_ptr.hh
-include/aspell/hash-t.hh
-include/aspell/hash.hh
-include/aspell/hash_const_string.hh
-include/aspell/hash_repl-p.hh
-include/aspell/hash_repl-t.hh
-include/aspell/hash_repl.hh
-include/aspell/hash_simple_string.hh
-include/aspell/hash_string.hh
-include/aspell/hash_string_s.hh
-include/aspell/invalid_flag.hh
-include/aspell/invalid_word.hh
-include/aspell/itr_equal.hh
-include/aspell/language.hh
-include/aspell/language_exceps.hh
-include/aspell/leditdist.hh
-include/aspell/manager.hh
-include/aspell/map_repl.hh
-include/aspell/map_repl_read.hh
-include/aspell/matrix.hh
-include/aspell/object.hh
-include/aspell/phonet.hh
-include/aspell/phonetic.hh
-include/aspell/primes.hh
-include/aspell/refcount.hh
-include/aspell/repl-t.hh
-include/aspell/repl.hh
-include/aspell/repl_func.hh
-include/aspell/repl_util.hh
-include/aspell/sgml-t.hh
-include/aspell/sgml.hh
-include/aspell/simple_fstream.hh
-include/aspell/simple_string.hh
-include/aspell/single_repl.hh
-include/aspell/skip-t.hh
-include/aspell/skip.hh
-include/aspell/split.hh
-include/aspell/str_repl.hh
-include/aspell/string_buffer.hh
-include/aspell/string_map.hh
-include/aspell/substr_repl-t.hh
-include/aspell/substr_repl.hh
-include/aspell/suggest.hh
-include/aspell/tex-t.hh
-include/aspell/tex.hh
-include/aspell/tl_string_map.hh
-include/aspell/token.hh
-include/aspell/trim_space.hh
-include/aspell/try_hard.hh
-include/aspell/typo_editdist.hh
-include/aspell/urlskip-t.hh
-include/aspell/urlskip.hh
-include/aspell/utf8-t.hh
-include/aspell/utf8.hh
-include/aspell/vector_hash-t.hh
-include/aspell/vector_hash.hh
-include/aspell/weights.hh
-lib/libaspell.a
+include/aspell.h
+include/pspell/pspell.h
+lib/libaspell-common-0.50.so
+lib/libaspell-common.la
+lib/libaspell-common.so
+lib/libaspell.la
 lib/libaspell.so
-lib/libaspell.so.11
-lib/libpspell_aspell.a
-lib/libpspell_aspell.so
-lib/libpspell_aspell.so.2
+lib/libaspell.so.15
+lib/libpspell.la
+lib/libpspell.so
+lib/libpspell.so.15
 share/aspell/ASCII.dat
-share/aspell/ASCII.map
-share/aspell/SGML.map
-share/aspell/american-med-only
-share/aspell/american-med.multi
-share/aspell/american.multi
-share/aspell/british-med-only
-share/aspell/british-med.multi
-share/aspell/british.multi
-share/aspell/canadian-med-only
-share/aspell/canadian-med.multi
-share/aspell/canadian.multi
-share/aspell/english-med-only
-share/aspell/english-variant-0
-share/aspell/english-variant-1
-share/aspell/english-variant-2
-share/aspell/english.dat
-share/aspell/english.multi
-share/aspell/english_phonet.dat
+share/aspell/dvorak.kbd
 share/aspell/iso8859-1.dat
-share/aspell/iso8859-1.map
 share/aspell/iso8859-10.dat
-share/aspell/iso8859-10.map
+share/aspell/iso8859-13.dat
+share/aspell/iso8859-14.dat
+share/aspell/iso8859-15.dat
 share/aspell/iso8859-2.dat
-share/aspell/iso8859-2.map
 share/aspell/iso8859-3.dat
-share/aspell/iso8859-3.map
 share/aspell/iso8859-4.dat
-share/aspell/iso8859-4.map
 share/aspell/iso8859-5.dat
-share/aspell/iso8859-5.map
 share/aspell/iso8859-6.dat
-share/aspell/iso8859-6.map
 share/aspell/iso8859-7.dat
-share/aspell/iso8859-7.map
 share/aspell/iso8859-8.dat
-share/aspell/iso8859-8.map
 share/aspell/iso8859-9.dat
-share/aspell/iso8859-9.map
 share/aspell/ispell
 share/aspell/koi8-f.dat
 share/aspell/koi8-r.dat
 share/aspell/spell
 share/aspell/standard.kbd
-share/aspell/unicode.dat
 share/aspell/viscii.dat
-share/aspell/viscii.map
+%%PORTDOCS%%share/doc/aspell/dev-html/devel.css
+%%PORTDOCS%%share/doc/aspell/dev-html/devel.html
+%%PORTDOCS%%share/doc/aspell/dev-html/index.html
+%%PORTDOCS%%share/doc/aspell/dev-html/nx_grp_g.png
+%%PORTDOCS%%share/doc/aspell/dev-html/prev_g.png
+%%PORTDOCS%%share/doc/aspell/dev-html/up_g.png
+%%PORTDOCS%%share/doc/aspell/dev-text/devel.txt
+%%PORTDOCS%%share/doc/aspell/dev-text/index.txt
+%%PORTDOCS%%share/doc/aspell/devel.aux
+%%PORTDOCS%%share/doc/aspell/devel.dvi
+%%PORTDOCS%%share/doc/aspell/devel.tex
+%%PORTDOCS%%share/doc/aspell/devel2.lyx
 %%PORTDOCS%%share/doc/aspell/man-html/1_Introduction.html
 %%PORTDOCS%%share/doc/aspell/man-html/2_Getting.html
 %%PORTDOCS%%share/doc/aspell/man-html/3_Basic.html
-%%PORTDOCS%%share/doc/aspell/man-html/4_Managing.html
-%%PORTDOCS%%share/doc/aspell/man-html/5_Customizing.html
+%%PORTDOCS%%share/doc/aspell/man-html/4_Customizing.html
+%%PORTDOCS%%share/doc/aspell/man-html/5_Working.html
 %%PORTDOCS%%share/doc/aspell/man-html/6_Writing.html
 %%PORTDOCS%%share/doc/aspell/man-html/7_Adding.html
 %%PORTDOCS%%share/doc/aspell/man-html/8_How.html
 %%PORTDOCS%%share/doc/aspell/man-html/A_Changelog.html
 %%PORTDOCS%%share/doc/aspell/man-html/About_this.html
 %%PORTDOCS%%share/doc/aspell/man-html/B_Do.html
-%%PORTDOCS%%share/doc/aspell/man-html/C_Support.html
+%%PORTDOCS%%share/doc/aspell/man-html/C_Credits.html
 %%PORTDOCS%%share/doc/aspell/man-html/Contents.html
-%%PORTDOCS%%share/doc/aspell/man-html/D_Credits.html
-%%PORTDOCS%%share/doc/aspell/man-html/E_Glossary.html
-%%PORTDOCS%%share/doc/aspell/man-html/F_Copyright.html
+%%PORTDOCS%%share/doc/aspell/man-html/D_Glossary.html
+%%PORTDOCS%%share/doc/aspell/man-html/E_Copyright.html
 %%PORTDOCS%%share/doc/aspell/man-html/contents.png
 %%PORTDOCS%%share/doc/aspell/man-html/crossref.png
 %%PORTDOCS%%share/doc/aspell/man-html/index.html
@@ -171,34 +76,28 @@
 %%PORTDOCS%%share/doc/aspell/man-text/1_Introduction.txt
 %%PORTDOCS%%share/doc/aspell/man-text/2_Getting.txt
 %%PORTDOCS%%share/doc/aspell/man-text/3_Basic.txt
-%%PORTDOCS%%share/doc/aspell/man-text/4_Managing.txt
-%%PORTDOCS%%share/doc/aspell/man-text/5_Customizing.txt
+%%PORTDOCS%%share/doc/aspell/man-text/4_Customizing.txt
+%%PORTDOCS%%share/doc/aspell/man-text/5_Working.txt
 %%PORTDOCS%%share/doc/aspell/man-text/6_Writing.txt
 %%PORTDOCS%%share/doc/aspell/man-text/7_Adding.txt
 %%PORTDOCS%%share/doc/aspell/man-text/8_How.txt
 %%PORTDOCS%%share/doc/aspell/man-text/A_Changelog.txt
 %%PORTDOCS%%share/doc/aspell/man-text/About_this.txt
 %%PORTDOCS%%share/doc/aspell/man-text/B_Do.txt
-%%PORTDOCS%%share/doc/aspell/man-text/C_Support.txt
+%%PORTDOCS%%share/doc/aspell/man-text/C_Credits.txt
 %%PORTDOCS%%share/doc/aspell/man-text/Contents.txt
-%%PORTDOCS%%share/doc/aspell/man-text/D_Credits.txt
-%%PORTDOCS%%share/doc/aspell/man-text/E_Glossary.txt
-%%PORTDOCS%%share/doc/aspell/man-text/F_Copyright.txt
+%%PORTDOCS%%share/doc/aspell/man-text/D_Glossary.txt
+%%PORTDOCS%%share/doc/aspell/man-text/E_Copyright.txt
 %%PORTDOCS%%share/doc/aspell/man-text/index.txt
 %%PORTDOCS%%share/doc/aspell/man-text/manual.txt
 %%PORTDOCS%%share/doc/aspell/manual.aux
 %%PORTDOCS%%share/doc/aspell/manual.dvi
 %%PORTDOCS%%share/doc/aspell/manual.tex
 %%PORTDOCS%%share/doc/aspell/manual2.lyx
-share/pspell/en-american-aspell.pwli
-share/pspell/en-american-med-aspell.pwli
-share/pspell/en-aspell.pwli
-share/pspell/en-british-aspell.pwli
-share/pspell/en-british-med-aspell.pwli
-share/pspell/en-canadian-aspell.pwli
-share/pspell/en-canadian-med-aspell.pwli
-%%PORTDOCS%%@dirrm share/doc/aspell/man-text
-%%PORTDOCS%%@dirrm share/doc/aspell/man-html
-%%PORTDOCS%%@dirrm share/doc/aspell
+@dirrm include/pspell
 @dirrm share/aspell
-@dirrm include/aspell
+@dirrm %%PORTDOCS%%share/doc/aspell/dev-html
+@dirrm %%PORTDOCS%%share/doc/aspell/dev-text
+@dirrm %%PORTDOCS%%share/doc/aspell/man-html
+@dirrm %%PORTDOCS%%share/doc/aspell/man-text
+@dirrm %%PORTDOCS%%share/doc/aspell
How-To-Repeat: 	N/A.
Comment 1 Thierry Thomas 2002-08-29 23:36:52 UTC
Le 26/08/2002 à 23:38:33 +0200, Thierry Thomas <thierry@pompo.net> écrivait :
> 
> >Number:         42051
> >Category:       ports
> >Synopsis:       textproc/aspell: upgrades to version 0.50 + includes textproc/pspell.

Aspell has just been upgraded to 0.50.1:
- it includes my patches of dict-dir => remove patches
- ftp.gnu.org is down => add a mirror
- uses PLIST_SUB.

Please apply the following patch:


diff -urN /usr/ports/textproc/aspell.orig/Makefile /usr/ports/textproc/aspell/Makefile
--- /usr/ports/textproc/aspell.orig/Makefile	Mon Aug 26 00:31:05 2002
+++ /usr/ports/textproc/aspell/Makefile	Thu Aug 29 23:51:08 2002
@@ -6,9 +6,10 @@
 #
 
 PORTNAME=	aspell
-PORTVERSION=	0.50
+PORTVERSION=	0.50.1
 CATEGORIES=	textproc
-MASTER_SITES=	${MASTER_SITE_GNU}
+MASTER_SITES=	http://savannah.gnu.org/download/${PORTNAME}/rel/	\
+		${MASTER_SITE_GNU}
 MASTER_SITE_SUBDIR=	${PORTNAME}
 
 MAINTAINER=	thierry@pompo.net
@@ -16,7 +17,7 @@
 BUILD_DEPENDS=	bash:${PORTSDIR}/shells/bash2
 
 USE_LIBTOOL=	yes
-CONFIGURE_ARGS=	--enable-pkglibdir=${DATADIR} \
+CONFIGURE_ARGS=	--enable-dict-dir=${DATADIR} \
 		--enable-doc-dir=${DOCSDIR}
 USE_GMAKE=	yes
 USE_REINPLACE=	yes
@@ -24,9 +25,7 @@
 MAKE_ARGS=	NOPORTDOCS=${NOPORTDOCS}
 INSTALLS_SHLIB=	yes
 
-post-patch:
-	@${FIND} ${WRKSRC} -name Makefile.in | ${XARGS} ${REINPLACE_CMD} -e	\
-		's:pkglibdir = $$(libdir)/@PACKAGE@:pkglibdir = @pkglibdir@:'
+PLIST_SUB=	PORTVERSION=${PORTVERSION}
 
 post-install:
 	@${CAT} ${PKGMESSAGE}
diff -urN /usr/ports/textproc/aspell.orig/distinfo /usr/ports/textproc/aspell/distinfo
--- /usr/ports/textproc/aspell.orig/distinfo	Sun Aug 25 16:04:44 2002
+++ /usr/ports/textproc/aspell/distinfo	Thu Aug 29 23:30:05 2002
@@ -1 +1 @@
-MD5 (aspell-0.50.tar.gz) = e8815a938bc2570eb9b5ffecc89a7dda
+MD5 (aspell-0.50.1.tar.gz) = 16b3fa4965e03847b4bb629ec83ed3d9
diff -urN /usr/ports/textproc/aspell.orig/files/patch-configure /usr/ports/textproc/aspell/files/patch-configure
--- /usr/ports/textproc/aspell.orig/files/patch-configure	Sun Aug 25 23:08:57 2002
+++ /usr/ports/textproc/aspell/files/patch-configure	Thu Jan  1 01:00:00 1970
@@ -1,11 +0,0 @@
---- configure.orig	Sun Aug 25 22:51:26 2002
-+++ configure	Sun Aug 25 23:08:16 2002
-@@ -1823,7 +1823,7 @@
- # Check whether --enable-pkglibdir or --disable-pkglibdir was given.
- if test "${enable_pkglibdir+set}" = set; then
-   enableval="$enable_pkglibdir"
--  pkglibdir=$enable_dictdir
-+  pkglibdir=$enable_pkglibdir
- else
-   pkglibdir=${libdir}/aspell
- fi;
diff -urN /usr/ports/textproc/aspell.orig/pkg-plist /usr/ports/textproc/aspell/pkg-plist
--- /usr/ports/textproc/aspell.orig/pkg-plist	Sun Aug 25 21:42:40 2002
+++ /usr/ports/textproc/aspell/pkg-plist	Thu Aug 29 23:49:11 2002
@@ -5,7 +5,7 @@
 bin/word-list-compress
 include/aspell.h
 include/pspell/pspell.h
-lib/libaspell-common-0.50.so
+lib/libaspell-common-%%PORTVERSION%%.so
 lib/libaspell-common.la
 lib/libaspell-common.so
 lib/libaspell.la



-- 
Th. Thomas.
Comment 2 dwcjr freebsd_committer 2002-09-01 18:19:55 UTC
State Changed
From-To: open->closed

Committed, thanks!